* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: var(--cor-02);
}

a {
  color: var(--cor-02);
  text-decoration: none;
}

a:hover {
  color: var(--cor-03);
  text-decoration: none;
}

i {
  color: var(--cor-03);
}

:root {
  --cor-01: #000;
  --cor-02: #1b1b1b;
  --cor-03: #AFEB2B;
  --cor-04: #304730;
  --cor-05: #eef7e2;
  --cor-bg: #E5E5E5;
}

.text-primary {
  color: var(--cor-03) !important;
}

.btn-primary {
  background-color: var(--cor-03) !important;
  color: var(--cor-01);
  padding: 12px 24px;
  border: none;
  border-radius: 5px;
  transition: all 0.3s ease;
  font-weight: 600;
}

.btn-primary:hover {
  background-color: var(--cor-04) !important;
  color: var(--cor-05);
  text-decoration: none;
}

.bg-primary {
  background-color: var(--cor-03) !important;
}

.bg-primary:hover {
  background-color: var(--cor-01) !important;
  color: var(--cor-05);
}

.destaque {
    color: var(--cor-03);
}

/* Texto adicional */
.descricao {
    font-size: 1.1rem;
    color: var(--cor-05);
}

/* ---- SESSÃO 01 ---- */

/* Fundo geral da sessão */
.sessao-01 {
  background-image: url(../img/bg-home.jpg);
  background-size: cover;
  position: relative;
  overflow: hidden;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(334deg, #000000dc, #383838e0);
  background-size: 180% 180%;
  animation: gradient-animation 6s ease infinite;
  z-index: 2;
}

@keyframes gradient-animation {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

.cont-sessao {
  position: relative;
  z-index: 3;
}

/* Título e destaque */
.titulo {
    font-size: 2rem;
    font-weight: 700;
    color: var(--cor-05);
}

/* Imagem alinhada embaixo */
.img-modelo {
    max-width: 70%;
    height: auto;
    object-fit: contain;
}

/* SESSÃO 02 */

/* .sessao-02 {
    background-color: var(--cor-02);
} */

.titulo {
    font-size: 2rem;
    font-weight: bold;
    color: var(--cor-05);
}

.titulo .destaque {
    color: var(--cor-03);
}

.balao {
    background-color: var(--cor-04);
    color: var(--cor-05);
    padding: 16px 20px;
    border-radius: 12px;
    font-size: 1rem;
    margin-bottom: 15px;
    font-weight: 500;
}

.descricao {
    color: var(--cor-05);
    font-size: 1.1rem;
    line-height: 1.7;
    margin-bottom: 20px;
}

.gancho {
    color: var(--cor-05);
    font-size: 1.30rem;
    font-weight: 600;
}

/* SESSÃO 03 */

/* SESSÃO 04 */

.sessao-04 {
    background-color: #111;
    color: var(--cor-05);
}

.titulo {
  font-size: 2rem;
  font-weight: 700;
  color: var(--cor-05);;
}

.item-verde {
  background-color: #1f1f1f;
  border-left: 4px solid #00ff8c;
  padding: 15px;
  margin-bottom: 15px;
  border-radius: 6px;
  font-size: 1rem;
}

.item-vermelho {
  background-color: #1f1f1f;
  border-left: 4px solid #ff4d4d;
  padding: 15px;
  margin-bottom: 15px;
  border-radius: 6px;
  font-size: 1rem;
}

.bloco-nao-e-para {
  background-color: #ff4d4d;
  color: white;
  border-radius: 6px;
  font-weight: 600;
  font-size: 1.1rem;
}

/* SESSÃO 05 */

.sessao-05 {
    background-color: var(--cor-02);
}

.titulo {
    font-size: 2rem;
    font-weight: bold;
    line-height: 1.3;
    color: var(--cor-05);;
}

.titulo .destaque {
    color: var(--cor-03);
}

.lista-bonus {
    list-style: none;
    padding-left: 0;
}

.lista-bonus li {
    border-bottom: 1px solid var(--cor-03);
    padding: 15px 0;
    position: relative;
    padding-left: 30px;
    color: var(--cor-05);;
}

.lista-bonus li::before {
    content: '';
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: var(--cor-03);
    position: absolute;
    left: 0;
    top: 18px;
}

.lista-bonus li.ativo::before {
    background-color: white;
}

.titulo-bonus {
    font-weight: 500;
    font-size: 1rem;
}

.descricao-bonus {
    font-size: 0.9rem;
    color: #ccc;
    margin-top: 5px;
}

/* SESSÃO 06 */

.sessao-06 {
  background: linear-gradient(334deg, var(--cor-01), var(--cor-02));
  background-size: 180% 180%;
  animation: gradient-animation 6s ease infinite;
  z-index: 2;
}

@keyframes gradient-animation {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

.sessao-06 .titulo {
    font-size: 2rem;
    font-weight: 700;
    color: var(--cor-05);
}

.sessao-06 .destaque {
    color: var(--cor-03);
}

.card-funciona {
    background-color: #2a2a2a;
    border-radius: 10px;
    padding: 20px;
    height: 100%;
    color: var(--cor-03);
    box-shadow: 0 0 10px rgba(0,0,0,0.2);
    transition: all 0.3s ease;
}

.card-funciona:hover {
    transform: translateY(-5px);
}

.titulo-card {
    font-size: 1.1rem;
    font-weight: 600;
    margin-bottom: 10px;
}

.texto-card {
    font-size: 0.95rem;
    color: var(--cor-05);
    line-height: 1.5;
}


/* SESSÃO 07 */

.sessao-07 {
    background-color: #111;
}

.titulo {
    font-size: 2rem;
    font-weight: 700;
    color: var(--cor-05);;
}

.destaque {
    color: var(--cor-03);
}

.card-preco {
    background-color: #1e1e1e;
    border-radius: 12px;
    padding: 25px;
    box-shadow: 0 0 10px rgba(0,0,0,0.25);
    position: relative;
    transition: transform 0.3s;
}

.card-preco:hover {
    transform: translateY(-5px);
}

.card-preco-p {
    background-color: var(--cor-04);
    border-radius: 12px;
    padding: 25px;
    box-shadow: 0 0 10px rgba(0,0,0,0.25);
    position: relative;
    transition: transform 0.3s;
}

.card-preco-p:hover {
    transform: translateY(-5px);
}

.titulo-plano {
    font-size: 1.25rem;
    font-weight: 600;
    margin-bottom: 20px;
}

.lista-beneficios {
    list-style: none;
    padding-left: 0;
    color: var(--cor-05);
    font-size: 0.95rem;
}

.lista-beneficios li {
    margin-bottom: 10px;
}

.preco {
    font-size: 1.5rem;
    font-weight: bold;
    color: var(--cor-05);;
    margin-top: 20px;
}

.preco-p {
    font-size: 2.5rem;
    font-weight: bold;
    color: var(--cor-05);;
    margin-top: 20px;
}

.badge-popular {
    position: absolute;
    top: 15px;
    right: 15px;
    background-color: var(--cor-03);;
    color: var(--cor-04);
    font-size: 0.75rem;
    padding: 5px 10px;
    border-radius: 30px;
}

.pequeno {
    font-size: 1.30rem;
    font-weight: 600;
}


/* SESSÃO 08 */

.sessao-08 {
    color: var(--cor-05);
}

.texto-maior {
    font-size: 1.3rem;
    font-weight: 500;
}

.destaque {
    color: var(--cor-03);;
    font-weight: bold;
}

.presente-texto {
    color: var(--cor-03);;
    font-size: 1.6rem;
    font-weight: bold;
}

.presente-box .icone-presente {
    font-size: 2.5rem;
    margin-bottom: 10px;
}

.preco {
    font-size: 1.2rem;
}

.preco .riscado {
    text-decoration: line-through;
    color: var(--cor-03);;
    font-weight: 600;
    margin-right: 5px;
}

.descricao {
    font-size: 1rem;
}
